## kingston-update-notifier 1.2

=== CMakeLists.txt ===
project(kingston)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )

=== src/CMakeLists.txt ===
set(kingston_SRCS reboot_listener.cpp
   update_listener.cpp
   notifier.cpp
   update_worker.cpp
 )

kde4_add_executable(testapp_kingston testapp_main.cpp test_window.cpp ${kingston_SRCS})

target_link_libraries(testapp_kingston ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )

kde4_add_plugin(kded_kingston_update_notifier kingston_update_notifier_module.cpp ${kingston_SRCS})
target_link_libraries(kded_kingston_update_notifier ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )


########### install files ###############

install( FILES kingston_update_notifier.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kded )
install( TARGETS kded_kingston_update_notifier DESTINATION  ${PLUGIN_INSTALL_DIR})
install( FILES kingston_update_notifier.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/kingston_update_notifier )

=== debian/changelog ===
kingston-update-notifier (1.2) unstable; urgency=low

  * Fix segfault. Closes: #589491

 -- Sune Vuorela <sune@debian.org>  Mon, 19 Jul 2010 20:48:13 +0200

kingston-update-notifier (1.1) unstable; urgency=low

  * Improve messages, mostly by Pino Toscano.
    Includes proper plural messages.
    (Closes: #585783)
  * Fix handling of notifications to not keep adding more, and to kill old
    ones (Closes: #584315)
  * Add a README telling about update notifier kde. Thanks to Michael
    Schuerig.

 -- Sune Vuorela <sune@debian.org>  Fri, 16 Jul 2010 23:45:30 +0200

kingston-update-notifier (1.0) unstable; urgency=low

  * Initial Release.

 -- Sune Vuorela <sune@debian.org>  Sat, 01 May 2010 18:00:56 +0200

=== debian/control ===
Source: kingston-update-notifier
Section: kde
Priority: optional
Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev
Standards-Version: 3.8.4

Package: update-notifier-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, update-notifier-common
Description: Update notifier for the KDE Plasma Desktop
 This package contains a module to notify the user when there is a need for a
 upgrade or a security upgrade.

## kingston-update-notifier 1.2+nmu1

=== debian/changelog ===
kingston-update-notifier (1.2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added reboot option, thanks to George Stephanos. (Closes: #604684)
  * Added POT file.
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no further changes needed.
    - Added Recommends on anacron. (Closes: #597168)
    - Added Vcs-{Git,Browser} fields.
  * Added my German translation. (Closes: #606008)

 -- Kai Wasserbäch <curan@debian.org>  Wed, 26 Jan 2011 14:28:34 +0100

=== debian/control ===
Source: kingston-update-notifier
Section: kde
Priority: optional
Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev, kdebase-workspace-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-kde/kingston.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kingston.git;a=summary

Package: update-notifier-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, update-notifier-common
Recommends: anacron
Description: update notifier for the KDE Plasma Desktop
 This package contains a module to notify the user when there is a need for an
 upgrade or a security upgrade.

## kingston-update-notifier 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,7 @@
 
 include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
 
+find_package(Gettext REQUIRED)
+
 add_subdirectory( src )
+add_subdirectory(po)

=== po/CMakeLists.txt ===
file(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
GETTEXT_CREATE_TRANSLATIONS(kingston_update_notifier.pot ALL ${pofiles})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,16 @@
 target_link_libraries(testapp_kingston ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )
 
 kde4_add_plugin(kded_kingston_update_notifier kingston_update_notifier_module.cpp ${kingston_SRCS})
+# for our builds this should be always true
+if(CMAKE_COMPILER_IS_GNUCXX)
+        set(MINIMAL_LINKING "-Wl,--no-undefined -Wl,--as-needed")
+else(CMAKE_COMPILER_IS_GNUCXX)
+        set(MINIMAL_LINKING)
+endif(CMAKE_COMPILER_IS_GNUCXX)
 target_link_libraries(kded_kingston_update_notifier ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )
-
+set_target_properties(kded_kingston_update_notifier PROPERTIES
+        LINK_FLAGS "${MINIMAL_LINKING}"
+        )
 
 ########### install files ###############

=== debian/changelog ===
kingston-update-notifier (1.2.4) unstable; urgency=low

  * Added French translation, thanks to Cédric Boutillier. (Closes: #620200)
  * debian/gbp.conf: Added to ensure signed tags.
  * debian/control: Bumped Standards-Version to 3.9.2, no further changes
    needed.

 -- Kai Wasserbäch <curan@debian.org>  Wed, 04 May 2011 13:33:08 +0200

kingston-update-notifier (1.2.3) unstable; urgency=low

  * debian/rules: Added "--parallel" to dh invocation.
  * Added Hungarian translation by Gábor Braun (Closes: #618305), consisting
    of:
    - po/hu.po
    - Updates to kingston-update-notifier.{desktop,notifyrc}
  * src/notifier.cpp: Move the "Reboot" button into the right notification.

 -- Kai Wasserbäch <curan@debian.org>  Fri, 18 Mar 2011 16:07:41 +0100

kingston-update-notifier (1.2.2) unstable; urgency=low

  * src/CMakeLists.txt: Ensure minimal linking.
  * debian/source/options: Added with compression BZip2.
  * src/notifier.cpp: Corrected the messages to the users. (Closes: #613529)
  * po/de.po: Updated German translation.
  * debian/compat: Raised to 8.
  * debian/control:
    - Updated for debhelper v8.
    - Removed version requirement on cmake (stable has a sufficiently recent
      CMake now).
  * debian/update-notifier-kde.lintian-overrides: Added
    (extended-description-is-probably-too-short).

 -- Kai Wasserbäch <curan@debian.org>  Thu, 24 Feb 2011 20:24:50 +0100

kingston-update-notifier (1.2.1) unstable; urgency=low

  [ Pino Toscano ]
  * Fix an untranslatable message.

  [ Kai Wasserbäch ]
  * Regenerate POT.
  * Updated German translation.
  * Actually build the translations in the po directory.
  * debian/control: Tighten B-D on CMake (for translation; I've only tested
    the GETTEXT_CREATE_TRANSLATIONS macro as present of version 2.6.3+).
  * debian/control: Added myself to uploaders (on Sune's invitation, thanks!)
    and moved the maintainership to KDE Extras.

 -- Kai Wasserbäch <curan@debian.org>  Sun, 13 Feb 2011 21:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kingston-update-notifier
 Section: kde
 Priority: optional
-Maintainer: Sune Vuorela <sune@debian.org>
-Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev, kdebase-workspace-dev
-Standards-Version: 3.9.1
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Kai Wasserbäch <curan@debian.org>
+Build-Depends: debhelper (>= 8), cmake, kdelibs5-dev, kdebase-workspace-dev
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-kde/kingston.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kingston.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel
